<?php declare(strict_types=1);

namespace korElf\TranslateLaravel\Facades;

use Illuminate\Support\Facades\Facade;

/**
 * @method static \korElf\TranslateLaravel\Contracts\Translate service(?string $name = null)
 * @method static \korElf\TranslateLaravel\Contracts\Translate resolve(string $name)
 * @method static string|array translateText(string|array $text, string $targetLanguageCode, ?string $sourceLanguageCode = null)
 * @method static string|array translateHtml(string|array $text, string $targetLanguageCode, ?string $sourceLanguageCode = null)
 * @method static \korElf\TranslateLaravel\DTO\Languages listLanguages()
 * @method static string getDefaultDriver()
 * @method static void setDefaultDriver(string $name)
 * @method static void purge(?string $name)
 */

final class Translate extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return 'translate';
    }
}